package com.kdanmobile.kdan_others_library_for_android.card;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.util.AttributeSet;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;

import com.kdanmobile.kdan_others_library_for_android.R;

public class AdonitCreativeStorePromoteCard extends LinearLayout {

    private Button viewNow;

    public AdonitCreativeStorePromoteCard(Context context) {
        super(context);
        initView();
    }

    public AdonitCreativeStorePromoteCard(Context context, AttributeSet attrs) {
        super(context, attrs);
        initView();
    }

    public AdonitCreativeStorePromoteCard(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
        initView();
    }

    public void setButtonColor(int color) {
        viewNow.setTextColor(color);
    }

    private void initView() {
        View view = inflate(getContext(), R.layout.widget_adonit_creative_store_promote_card, this);
        viewNow = (Button) view.findViewById(R.id.button_promote_card_creative_store_view_now);
        ImageView imageView = (ImageView) view.findViewById(R.id.image_view_promote_card_creative_store_view);

        viewNow.setOnClickListener(view1 -> {
            intentToCreativeStore();
        });

        imageView.setOnClickListener(view12 -> {
            intentToCreativeStore();
        });
    }

    private void intentToCreativeStore() {
        Uri uri = Uri.parse("https://creativestore.kdanmobile.com/subscription/creativity365?utm_source=Website&utm_campaign=KdanWeb_NL_C365&utm_medium=NL");
        Intent intent = new Intent(Intent.ACTION_VIEW, uri);
        getContext().startActivity(intent);
    }
}
